summary refs log tree commit diff
path: root/pkgs/build-support/add-opengl-runpath
diff options
context:
space:
mode:
authorDmitry Kalinkin <dmitry.kalinkin@gmail.com>2019-05-23 16:50:55 -0400
committerDmitry Kalinkin <dmitry.kalinkin@gmail.com>2019-05-23 16:52:45 -0400
commit44b551c0c0555fb6814fdac202d417df98451fe2 (patch)
tree23b9e204c4c212aa6e504cde61c62a6684e8774e /pkgs/build-support/add-opengl-runpath
parente57bb4367d68ad16ee0e14484891df047c5fe083 (diff)
downloadnixpkgs-44b551c0c0555fb6814fdac202d417df98451fe2.tar
nixpkgs-44b551c0c0555fb6814fdac202d417df98451fe2.tar.gz
nixpkgs-44b551c0c0555fb6814fdac202d417df98451fe2.tar.bz2
nixpkgs-44b551c0c0555fb6814fdac202d417df98451fe2.tar.lz
nixpkgs-44b551c0c0555fb6814fdac202d417df98451fe2.tar.xz
nixpkgs-44b551c0c0555fb6814fdac202d417df98451fe2.tar.zst
nixpkgs-44b551c0c0555fb6814fdac202d417df98451fe2.zip
addOpenGLRunpath: only apply to ELF files
Fixes libglvnd build
Diffstat (limited to 'pkgs/build-support/add-opengl-runpath')
-rw-r--r--pkgs/build-support/add-opengl-runpath/setup-hook.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/pkgs/build-support/add-opengl-runpath/setup-hook.sh b/pkgs/build-support/add-opengl-runpath/setup-hook.sh
index 7645033ca20..e556e7ead2a 100644
--- a/pkgs/build-support/add-opengl-runpath/setup-hook.sh
+++ b/pkgs/build-support/add-opengl-runpath/setup-hook.sh
@@ -21,6 +21,7 @@ addOpenGLRunpath() {
     done
 
     for file in "$@"; do
+        if ! isELF "$file"; then continue; fi
         local origRpath="$(patchelf --print-rpath "$file")"
         patchelf --set-rpath "@driverLink@/lib:$origRpath" ${forceRpath:+--force-rpath} "$file"
     done